<?php
/*
#Бесплатный WAP движок StrongCMS
#Официальный сайт поддержки: http://strongcms.ru 
*/

# Заголовок>Функции>Шапка
$title = 'Поиск пользователей';
require_once ('system/function.php');
require_once ('system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));

echo '<div class="title">'.$title.'</div>';

echo '<form method="post" action="suser.php?">';
echo '<div class="podmenu">Введите Ник:<br/>';
echo '<input type="text" name="login" /><br />';
echo '<input type="submit" name="ok" value="Найти" />';
echo '</form>';
echo '</div>';

if (isset($_REQUEST['ok'])){
    
$login = strong($_POST['login']);

if(empty($login) or mb_strlen($login) > 20) {
echo err('Ошибка ввода ,макс. 20 симв.');
require_once ('system/footer.php'); exit;
}

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `login` like '%".$login."%'"),0);
if ($k_post==0)
echo '<div class="podmenu"><center><font color="red">По вашему запросу ничего не найдено</font><center></div>';


$q = mysql_query("SELECT * FROM `users` WHERE `login` like '%".$login."%' ORDER BY id DESC");
while ($ank = mysql_fetch_array($q)){

echo '<div class="links">'.nick($ank['id']).' </div>
<div class="podmenu">Зарегистрирован: ('.vremja($ank['datareg']).')
<br/>Последнее посещение: '.vremja($ank['viz']).'</div>';
}

}

              
require_once ('system/footer.php');
?>